var $kuj = jQuery.noConflict();

$kuj(document).ready(function () {

    /**
     * Tab Box Widget
     */
    $kuj('.tabbox .nav').delegate('li', 'click', function (e) {
        var li = $kuj(this);
        showtab(li);
    });
    if (window.location.hash) {
        if ($kuj('#tab_' + window.location.hash.replace('#', ''))) {
            showtab($kuj('#tab_' + window.location.hash.replace('#', '')));
        }
    }
    function showtab(li) {
        var list = li.parent();
        var idx = li.index();
        var tabs = list.parent().children('.content').children('.tab');

        tabs.hide().removeClass('active');
        tabs.eq(idx).show().addClass('active');
        list.children().removeClass('active');
        list.children().eq(idx).addClass('active');
    }

    if (!Modernizr.input.placeholder) {
        $kuj('[placeholder]').focus(function() {
            var input = $kuj(this);
            if (input.val() == input.attr('placeholder')) {
                input.val('');
                input.removeClass('placeholder');
            }
        }).blur(function() {
            var input = $kuj(this);
            if (input.val() == '' || input.val() == input.attr('placeholder')) {
                input.addClass('placeholder');
                input.val(input.attr('placeholder'));
            }
        }).blur();
        $kuj('[placeholder]').parents('form').submit(function() {
            $kuj(this).find('[placeholder]').each(function() {
                var input = $kuj(this);
                if (input.val() == input.attr('placeholder')) {
                    input.val('');
                }
            })
        });
    }
});